Upstream information

CVE-2009-1391 at MITRE

Description

Off-by-one error in the inflate function in Zlib.xs in Compress::Raw::Zlib Perl module before 2.017, as used in AMaViS, SpamAssassin, and possibly other products, allows context-dependent attackers to cause a denial of service (hang or crash) via a crafted zlib compressed stream that triggers a heap-based buffer overflow, as exploited in the wild by Trojan.Downloader-71014 in June 2009.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 511241 [RESOLVED / FIXED], 513082 [CLOSED / INVALID]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11
  • perl >= 5.10.0-64.43.1
  • perl-32bit >= 5.10.0-64.43.1
  • perl-base >= 5.10.0-64.43.1
  • perl-doc >= 5.10.0-64.43.1
  • perl-x86 >= 5.10.0-64.43.1
Patchnames:
slessp0-perl
SUSE Linux Enterprise Server for SAP Applications 11
  • perl >= 5.10.0-64.43.1
  • perl-32bit >= 5.10.0-64.43.1
  • perl-base >= 5.10.0-64.43.1
  • perl-doc >= 5.10.0-64.43.1
  • perl-x86 >= 5.10.0-64.43.1
Patchnames:
slessp0-perl
openSUSE 11.0
  • perl-debuginfo >= 5.10.0-37.8
  • perl-debugsource >= 5.10.0-37.8
openSUSE 11.0
  • perl >= 5.10.0-37.8
  • perl-32bit >= 5.10.0-37.8
  • perl-64bit >= 5.10.0-37.8
  • perl-base >= 5.10.0-37.8
  • perl-doc >= 5.10.0-37.8
openSUSE 11.1
  • perl-debuginfo >= 5.10.0-62.18.1
  • perl-debuginfo-32bit >= 5.10.0-62.18.1
  • perl-debuginfo-64bit >= 5.10.0-62.18.1
  • perl-debugsource >= 5.10.0-62.18.1
openSUSE 11.1
  • perl >= 5.10.0-62.18.1
  • perl-32bit >= 5.10.0-62.18.1
  • perl-64bit >= 5.10.0-62.18.1
  • perl-base >= 5.10.0-62.18.1
  • perl-base-32bit >= 5.10.0-62.18.1
  • perl-base-64bit >= 5.10.0-62.18.1
  • perl-doc >= 5.10.0-62.18.1
SUSE Linux Enterprise SDK 11 GA
  • perl-base-x86 >= 5.10.0-64.43.1
sle11-sdk.x86-64
sles11.ppc
sles11.ia64
sle11-sdk.ppc
sle11-debuginfo.x86
sle11-sdk.s390x
sle11-debuginfo.x86-64
sles11.x86
sled11.x86
sle11-debuginfo.ia64
sles11.s390x
sle11-debuginfo.s390x
sle11-debuginfo.ppc
sled11.x86-64
sles11.x86-64
sle11-sdk.ia64
SAT Patch Nr: 994
SUSE Linux Enterprise SDK 11 GA
  • perl-base-32bit >= 5.10.0-64.43.1
sle11-sdk.x86-64
sles11.ppc
sles11.ia64
sle11-sdk.ppc
sle11-debuginfo.x86
sle11-sdk.s390x
sle11-debuginfo.x86-64
sles11.x86
sled11.x86
sle11-debuginfo.ia64
sles11.s390x
sle11-debuginfo.s390x
sle11-debuginfo.ppc
sled11.x86-64
sles11.x86-64
sle11-sdk.ia64
SAT Patch Nr: 994
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • perl >= 5.10.0-64.43.1
  • perl-base >= 5.10.0-64.43.1
  • perl-doc >= 5.10.0-64.43.1
sle11-sdk.x86-64
sles11.ppc
sles11.ia64
sle11-sdk.ppc
sle11-debuginfo.x86
sle11-sdk.s390x
sle11-debuginfo.x86-64
sles11.x86
sled11.x86
sle11-debuginfo.ia64
sles11.s390x
sle11-debuginfo.s390x
sle11-debuginfo.ppc
sled11.x86-64
sles11.x86-64
sle11-sdk.ia64
SAT Patch Nr: 994
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • perl >= 5.10.0-64.43.1
  • perl-32bit >= 5.10.0-64.43.1
  • perl-base >= 5.10.0-64.43.1
  • perl-doc >= 5.10.0-64.43.1
sle11-sdk.x86-64
sles11.ppc
sles11.ia64
sle11-sdk.ppc
sle11-debuginfo.x86
sle11-sdk.s390x
sle11-debuginfo.x86-64
sles11.x86
sled11.x86
sle11-debuginfo.ia64
sles11.s390x
sle11-debuginfo.s390x
sle11-debuginfo.ppc
sled11.x86-64
sles11.x86-64
sle11-sdk.ia64
SAT Patch Nr: 994
SUSE Linux Enterprise Server 11 GA
  • perl >= 5.10.0-64.43.1
  • perl-base >= 5.10.0-64.43.1
  • perl-doc >= 5.10.0-64.43.1
  • perl-x86 >= 5.10.0-64.43.1
sle11-sdk.x86-64
sles11.ppc
sles11.ia64
sle11-sdk.ppc
sle11-debuginfo.x86
sle11-sdk.s390x
sle11-debuginfo.x86-64
sles11.x86
sled11.x86
sle11-debuginfo.ia64
sles11.s390x
sle11-debuginfo.s390x
sle11-debuginfo.ppc
sled11.x86-64
sles11.x86-64
sle11-sdk.ia64
SAT Patch Nr: 994


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 GA perl Released
SUSE Linux Enterprise SDK 11 GA perl Released
SUSE Linux Enterprise Server 11 GA perl Released